{
  inputs = {
    nixpkgs.url = "github:NixOS/nixpkgs/nixos-unstable";
    sops-nix.url = "github:Mic92/sops-nix";
    disko = {
      url = "github:nix-community/disko";
      inputs.nixpkgs.follows = "nixpkgs";
    };
    facter = {
      url = "github:nix-community/nixos-facter-modules";
      inputs.nixpkgs.follows = "nixpkgs";
    };
  };

  outputs = inputs: {
    nixosConfigurations.raid1base = import ./setup { inherit inputs; };
    colmena = {
      meta = {
        nixpkgs = import inputs.nixpkgs {
          system = "x86_64-linux";
          overlays = [ ];
        };
      };

      git-system =
        {
          name,
          nodes,
          pkgs,
          ...
        }:
        {
          deployment = {
            targetHost = "188.40.66.217";
            targetPort = 22;
            targetUser = "root";
          };
          imports = [
            # ./git_system.nix
            (import ./setup { inherit inputs; })
          ];
        };
      # runner-system =
      #   {
      #     name,
      #     nodes,
      #     pkgs,
      #     ...
      #   }:
      #   {
      #     imports = [ ./runner_system.nix ];
      #   };
      # dev-system =
      #   {
      #     name,
      #     nodes,
      #     pkgs,
      #     ...
      #   }:
      #   {
      #     imports = [
      #       ./dev_system.nix
      #       inputs.sops-nix.nixosModules.sops
      #     ];
      #   };
    };
  };
}
